Have G3 ibook running 10.2.8 need itunes

December 10, 2010 at 07:39:51
Specs: Macintosh 10.2.8, 320 MB
Need to find site with Itunes for 10.2.8 for old G3 366MHZ ibook clam shell lap top.

See More: Have G3 ibook running 10.2.8 need itunes

Report •

#1
December 10, 2010 at 08:02:46
OS X 10.2. 8 supports iTunes version, I believe version 6, go to

System preferences
Software Update

It will offer all available updates for OS X 10.2.8

You will need OS X 10.4.11 to use version 8.xx which is the most recent for G3:

http://support.apple.com/kb/DL857

Unfortunately you will need to have a Firewire model to update to OS X 10.4.11


Report •
Related Solutions


Ask Question